﻿body {
   /* overflow-x: hidden;*/
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
.navbar-light .navbar-toggler-icon {
    background-image: url("../images/SocialMedia/MaintoggleIcon.png");
}
.navbar-dark .navbar-toggler-icon {
    background-image: url("../images/SocialMedia/filtericon.png");
}
.navbar-toggler-icon {
    display: inline-block;
    width: 32px;
    height: 32px;
    vertical-align: middle;
    content: "";
    background: no-repeat center center;
    background-size: 100% 100%;
}
.carouselPics {
    height: 30%;
    width: 100%;
    min-height: 230px;
}
.MainPageTummy {
    height: 500px;
    width: 100%;
}
.SocialMediaIconsSize {
    height: 64px;
    width: 64px;
}
.CompanyHeaderLogoSize {
    width: 100%;
    height: auto;
    max-height: 75px;
    max-width: 80px;
    min-width: 80px;
    vertical-align: middle;
    margin-bottom: 20px;
}
.justify-content-between {
    white-space: nowrap;
    /*position: absolute;
    bottom: 0;
    right: 0;*/
}


/*override index page header nav bar bottom space*/
.mb-3, .my-3 {
    margin-bottom: 0rem !important;
}
/*Below control logo size in mobile*/
@media only screen and (max-width: 768px) {
    .CompanyHeaderLogoSize {
        max-width: 50px;
        min-width: 50px;
    }
    .loginTopRight {
        float: right;
        position: absolute;
        top: 0;
        right: 3px !important;
    }
}
.navbar-expand-sm .navbar-collapse  {
    PADDING-TOP: 2PX !important;
}
.navbar-toggler {
    margin-top: 2PX !important;
}
.loginTopRight {
    float: right;
    position: absolute;
    top: 0;
    right: 19px;
}
/* below .navbar is display index page menu under company logo */
.navbar {
    /* position: relative; */
    display: -ms-flexbox;
     display: block !important;
    -ms-flex-wrap: wrap;
    flex-wrap: nowrap;
    -ms-flex-align: center;
    align-items: baseline;
    -ms-flex-pack: justify;
    justify-content: space-evenly;
    padding: .5rem 1rem;
    flex-direction: column-reverse;
    align-content: stretch;
}
/*below wrapperOnlyforIndeximage will give space in home page company logo and checkout icon*/
.wrapperOnlyforIndeximage {
    display: flex;
    justify-content: space-between
}
/*below navbar will rmeove home page menu space*/
.navbar {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: .0rem 0rem !important;
    background-color: #343a40 !important;
}
.navbar-expand-sm .navbar-nav {
    background-color: #343a40;
}
.text-menu {
    color: white !important;
    padding-left:5px !important;
}
li a:hover {
    background-color: #555;
    color: white;
}
/*To display carousal edge to edge on main page*/
.container {
    width: 100%;
    padding-right: 0 !important;
    padding-left: 0 !important;
    margin-right: 0 !important;
    margin-left: 0 !important;
    max-width: 100% !important;
}

/*Bootstrap override start*/
.offset-lg-3 {
    margin-left: 0 !important;
}
.col-lg-6 {
    -ms-flex: 0 0 0;
    /* flex: 0 0 50%; */
    max-width: 50%;
}

/*Bootstrap override end*/

/* home page Slider overider start*/
.slide__dots button:before {
    display: block !important;
    /* border-radius: 100%; */
    content: " " !important;
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    width: 12px !important;
    height: 12px !important;
    box-shadow: 1px 2px 3px #1e212c !important;
    background: #395da7 !important;
}

.slick-dots li.slick-active button:before {
    opacity: .75 !important;
    color: deeppink !important;
    display: block !important;
    /* border-radius: 100%; */
    content: " " !important;
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    width: 12px !important;
    height: 12px !important;
    box-shadow: 1px 2px 3px #1e212c !important;
    background: #395da7 !important;
}
.slick-arrow {
    background: lightgrey !important;
    padding-top: 1.5px !important;
}
.slick-current{
    width:100%;
    height:240px;
}
/* home page Slider overider End*/
.BackPage {
    float: right;
    margin-right: 20px;
}

/* Footer Start */
.footer {
    padding-top: 30px;
    color: #fff;
    background-color: #343a40;
    width: 100%;
    /*position: absolute;*/
    bottom: 0;
    left: 0;
    margin-top: auto;
}
.text-muted {
    color: white !important;
}
.fixed-bottom {
    position: relative !important;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
}
    .container {
        width: 100%;
        padding-right: 15px;
        padding-left: 15px;
        margin-right: auto;
        margin-left: auto;
    }
    .row {
        display: flex;
        flex-wrap: wrap;
        margin-right: -15px;
        margin-left: 25px !important;
    }
    /* below UL li is setting of fotter email,phone, etc */
    ul > li {
        display: inline-block;    
        zoom: 1;
        *display: inline;
        /* ist-style: none;
        this fix is needed for IE7- */
    }
    /* below ul is for left text align of email and phone*/
    dl, ol, ul {
        margin-top: 0;
        margin-bottom: 1rem;
        padding-left: 0px !important;
     
}

/* Footer End */

/*Product Page Start*/

/*.row1 {
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: 0px !important;
    align-content: space-between;
    justify-content: center;
    align-items: stretch;
    flex-direction: row;
    width: 100%;
}*/



/*.productholder {
    margin-bottom: 1.75rem;
    padding: 0.5rem 2rem;
    border: 1px solid #e2e2e2;
    max-width: 300px;
    text-align: center;
    margin-right: 1%;
    min-width: 250px;*/
    /*width: 30%;*/
/*}*/
/*Below productholder size in mobile*/
@media only screen and (max-width: 768px) {
    .productholder {
        width: 100%;
        margin-right: 7%;
    }
}

.ProductImgSize {
    height: 282px;
    width: 252px;
}

.col, .col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12, .col-auto, .col-lg, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-auto, .col-md, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-md-auto, .col-sm, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-auto {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
}
.col-lg-10 {
    flex: 0 0 83.3333333333%;
    max-width: 83.3333333333%;
}

/*Product Page End*/
.imgPPostDownloadPreview {
    vertical-align: middle;
    width: 60px;
    height: 80px;
}
/*Upload image*/

/*Pages on product page*/

.PagesDiv {
    /* height: 5rem; */
    /* width: 20%; */
    /* margin-left: 4%; */
    /* margin-right: 0%; */
    float: left;
    /* background-color: lightblue; */
}

.FilterDiv {
    width: 100%;
    margin-left: 4%;
    margin-right:4%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
}

.navbar-expand-md .navbar-collapse {  
    align-items: center !important;
    justify-content: space-around;
}
.MakeOvel {
    border-radius:15px !important;
}
.FilterOuterDiv {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 5px;
}
.FilterOuterDivLabel {
    color: cornflowerblue;
    min-width: 100px;
    margin-left: 30px;
    color: #b8c7ce
}
.FilterOuterDivLabelText {
    padding-right: 20px;
    text-align: right;
    float: right;
    padding-top: 6px;
    color:white !important;
}
.FilterOuterDivLabelInput {
    width: 100%;
    min-width: 90px;
}


/*Overriding AdminLte Start*/

.main-sidebar, .left-side {   
    padding-top: 0px; 
}
.content-wrapper, .right-side {
    min-height: 100%;
    background-color: white !important;
    z-index: 800;
}
.pb-3, .py-3 {
    padding-bottom: 0rem !important;
}
.LeftMenushrinkicon {
    width: 30px;
    height: 30px;
    /* margin-left: -20px;*/
    margin-top: 1px;
    cursor: pointer;
}
.sidebar-menu li.header {
    padding: 10px 25px 10px 15px;
    font-size: 18px;
}
.content {

     padding: 0px; 
     padding-left: 0px; 
}
.LeftMenuColor {
    color: black !important;
    border-bottom: lightgray;
    border-bottom-style: solid;
    border-bottom-width: thin;
}
.LeftMenuColor:hover {
    color: white !important;
}

.LeftMenuColorSelected {
    color: #b8c7ce;
    border-left-color: dodgerblue !important;
    border-left-width: 1 !important;
    border-left-style: solid !important;
}
.skin-blue .wrapper, .skin-blue .main-sidebar, .skin-blue .left-side {
    background-color: white !important;
}
.LeftMenuHeading {
    color: #4b646f;
    /* background: lightslategray; */
    border-bottom: lightgray;
    border-bottom-width: thin;
    border-bottom-style: solid;
    padding: 10px 25px 10px 15px !important;
    font-size: 18px;
}
.bg-blue {
    background-color: #3c8dbc !important;
}
.btn-dark {
    color: #fff;
    background-color: #3c8dbc !important;
    border-color: #343a40;
}
.btn-secondary {
    color: #fff;
    background-color: #3c8dbc !important;
    border-color: black !important;
}
.form-control {
    border-radius: 0;
    box-shadow: none;
    border-color: black !important;
}
/*Overriding AdminLte End*/


/*Grid-ish start*/
@media only screen and (max-width: 768px) {
    .content-flowx {
        background-color: white;
        max-width: 100%;
        /*margin: 4rem auto;*/
        padding-left: 5%;
        overflow: visible;
    }
}

.content-flowx {
    background-color: white;
    max-width: 100%;
    /*   margin: 4rem auto;*/
    background-color: white;
    padding-left: 20px;
    padding-right: 20px;
    overflow: hidden;
}

.colx {
    /* background-color: #d7d7d7; grey colour to find box setting*/
    border: 1px solid lightgray;
    min-height: 220px;
    min-width: 230px;
    margin-bottom: 1.75rem;
    padding: 0.5rem 1.5rem;
    /* border: 1px solid #e2e2e2;*/
    /*max-width: 300px;*/
    text-align: center;
}

.grid-ish {
    display: flex;
    flex-wrap: wrap;
    grid-gap: 1rem;
}

    .grid-ish > * {
        flex: 1 1 15rem;
    }

/*
.container {
    max-width: 100% !important;
}*/
/*Gri-ish End*/

/*Shopping cart start*/

.cart-basket:hover {
    text-decoration: none;
    color: white;
    font-size: 1.1rem;
    font-weight: bold;
    background-color: transparent;
    border-color: white;
    border-style: solid;
    border-width: 1.5px;
    background-color: black;
    cursor: pointer;
}

.cart-basket {
    font-size: 1.2rem;
    font-weight: bold;
    position: absolute;
    top: 16px;
    right: 5px;
    width: 23px;
    height: 22px;
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    border-radius: 50%;
    justify-content: center;
}
/*Shopping cart end*/
input[type=number]::-webkit-inner-spin-button {
    opacity: 1;
    padding-right: 5px;
    padding-left: 5px;
    padding-top: 20px;
    padding-bottom: 20px;
}

.AboutusImg {
    max-width: 444px;
    max-height: 444px;
    width: 100%;
    height: auto;
    min-width: 224px;
    min-height: 224px;
}


